RubyGems Navigation menu

publisher 1.1.0

FEATURES/PROBLEMS: * Nice syntax for declaring events that can be subscribed for * Convenient event firing syntax * Subscribe / unsubscribe functionality * Several method name aliases give you the flexibility to make your code more readable (eg, fire, notify, emit) == SYNOPSIS: require 'rubygems' require 'publisher' class CustomerListHolder extend Publisher can_fire :customer_added, :list_cleared

Versionen:

  1. 1.1.2 - September 27, 2011 (9 KB)
  2. 1.1.1 - November 08, 2009 (8,5 KB)
  3. 1.1.0 - November 21, 2007 (8 KB)

Runtime Abhängigkeiten (1):

Autoren:

  • Atomic Object

Besitzer:

SHA 256-Prüfsumme:

f3ce98dd8d79259dcdd1285f6676ca2db00a959acb6fe2d9d07ab64564f368ab

Downloads insgesamt 12.416

Für diese Version 2.181

Gemfile:
= In die Zwischenablage kopieren Kopiert!

installieren:
=

Lizenzs:

k.A.

Erforderliche Ruby-Version: None

Links: